CalryOTA Docs
Listing

Get channel settings for a listing

Returns every workspace channel with effective listing settings and markup source.

GET
/api/v1/listing/{id}/channels

Authorization

x-calry-api-key
x-calry-api-key<token>

In: header

Path Parameters

id*string

Unique identifier of the listing

Header Parameters

x-calry-tenant-id?string

Optional tenant ID to specify which tenant to operate as. If not provided, the default tenant will be used.

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/listing/123e4567-e89b-12d3-a456-426614174000/channels"
[
  {
    "channelID": "string",
    "name": "NUITEE",
    "enabled": true,
    "markupPercentage": 0,
    "markupSource": "WORKSPACE"
  }
]
{
  "timestamp": "2025-03-05T11:45:49.631Z",
  "path": "<URL_PATH>",
  "message": "Authentication failed",
  "details": []
}